--HUD time


hud.add(function(v, player)
	if not(player.mo and player.mo.valid) then return end
	
	//Cosmetal HUD
	if player.mo.skin == "cosmetal"
		hud.disable("lives")
		
		local x,y = 1, 166

		//Cooldown bars
		local cooldown = player.boost_cooldown
		local cooldown2 = player.vboost_cooldown
		//Bars
		local bar2Y = y + 7
		local barpatch = v.cachePatch("BAR")
		v.drawStretched(x*FRACUNIT, y*FRACUNIT, 44*FRACUNIT, FRACUNIT, barpatch, V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_PERPLAYER|V_HUDTRANS, v.getColormap(player.mo.skin, SKINCOLOR_METALLIXBLACK))
		v.drawStretched(x*FRACUNIT, bar2Y*FRACUNIT, 70*FRACUNIT, FRACUNIT, barpatch, V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_PERPLAYER|V_HUDTRANS, v.getColormap(player.mo.skin, SKINCOLOR_METALLIXBLACK))
		if cooldown
			v.drawStretched(x*FRACUNIT, y*FRACUNIT, (cooldown/4)*FRACUNIT, FRACUNIT, barpatch, V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_PERPLAYER|V_HUDTRANS, v.getColormap(player.mo.skin, barcolor))
		end
		if cooldown2
			v.drawStretched(x*FRACUNIT, bar2Y*FRACUNIT, (cooldown2/4)*FRACUNIT, FRACUNIT, barpatch, V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_PERPLAYER|V_HUDTRANS, v.getColormap(player.mo.skin, barcolor))
		end
		v.drawString(x+5,y,"Jet Boost",V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_PERPLAYER|V_HUDTRANS|V_BLUEMAP|V_ALLOWLOWERCASE,"small-thin")
		v.drawString(x+5,y+7,"Metal Flap",V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_PERPLAYER|V_HUDTRANS|V_BLUEMAP|V_ALLOWLOWERCASE,"small-thin")
		
		v.draw(0,156,v.cachePatch("CMSLIVES"), V_HUDTRANS|V_PERPLAYER|V_SNAPTOBOTTOM|V_SNAPTOLEFT,v.getColormap("sonic", player.mo.color))
		
		if emeraldsHud
			CMS.drawEmeralds(v)
			v.draw(291,10,v.cachePatch("CMSEMERALDS"), V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTORIGHT)
			v.drawString(298, 5, "Emeralds", V_SNAPTOTOP|V_SNAPTORIGHT|V_PERPLAYER|V_HUDTRANS|V_GREENMAP|V_ALLOWLOWERCASE, "thin-right")
		end
		if player.lives != INFLIVES
			v.drawNum(58,183,player.lives,V_HUDTRANS|V_PERPLAYER|V_SNAPTOBOTTOM|V_SNAPTOLEFT)
		else
			v.draw(58,183,v.cachePatch("STCFN022"),V_HUDTRANS|V_PERPLAYER|V_SNAPTOBOTTOM|V_SNAPTOLEFT)
		end
		
		//Custom1 Ability Switch HUD
		local switchY = 159
		if player.jumpabil == 1
			v.drawString(x, switchY, "Jump Ability: Metal Flap", V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_PERPLAYER|V_HUDTRANS|V_ALLOWLOWERCASE|V_BLUEMAP,"small-thin")
		else
			v.drawString(x, switchY, "Jump Ability: Hover", V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_PERPLAYER|V_HUDTRANS|V_ALLOWLOWERCASE|V_BLUEMAP,"small-thin")
		end
		
		local soundplaying, caption = CMS.MetalSoundPlaying(player.mo)
		if soundplaying and subtitles
			v.drawString(85, 185, "\132Cosmetal\128: "..caption, V_SNAPTOBOTTOM|V_PERPLAYER|V_HUDTRANS|V_ALLOWLOWERCASE)
		end
	else
		hud.enable("lives")
	end
end, "game")